Perform various operations on pledge records.
Operations
searchPledgePagedSelectFields
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalQuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/searchPledgePagedSelectFieldsPOST /nexum/627/2022.01/account/searchPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPledgeFields": false,
"PledgeFields": {
"Locator": true,
"Type": true,
"AccountNumber": true,
"Id": true,
"Amount": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePledgeByID
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
PledgeLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/account/updatePledgeByIDPOST /nexum/627/2022.01/account/updatePledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PledgeLocator": 0,
"PledgeUpdatableFields": {
"Type": 0,
"CollateralNumber": "0",
"Amount": 0,
"Percent": 0,
"EffectiveDate": "2026-01-01"
},
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPledge
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
PledgeLocatorintegeroptionalLoading fields…
POST
/nexum/{sym}/2022.01/account/createPledgePOST /nexum/627/2022.01/account/createPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PledgeCreatableFields": {
"Type": 0,
"CollateralNumber": "0",
"Amount": 0,
"Percent": 0,
"EffectiveDate": "2026-01-01"
},
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deletePledge
POST
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
AccountNumberstringoptionalPledgeLocatorintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
POST
/nexum/{sym}/2022.01/account/deletePledgePOST /nexum/627/2022.01/account/deletePledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PledgeLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}